# NOTES:
# - release archives: http://helpx.adobe.com/flash-player/kb/archived-flash-player-versions.html
# TODO: package kde4 component
#
# Conditional build:
%bcond_with	license_agreement	# generates package

%ifarch %{ix86}
%define		libmark	%{nil}
%endif
%ifarch %{x8664}
%define		libmark	()(64bit)
%endif

%define		base_name	adobe-flash
%define		rel 1
Summary:	Flash (NPAPI based) plugin for Netscape-compatible WWW browsers
Summary(pl.UTF-8):	Wtyczka Flash oparta na NPAPI dla przeglądarek WWW zgodnych z Netscape
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
Version:	30.0.0.122
Release:	%{rel}%{?with_license_agreement:wla}
Epoch:		1
License:	Free to use, non-distributable
Group:		X11/Applications/Multimedia
%if %{with license_agreement}
Source0:	https://fpdownload.macromedia.com/pub/labs/flashruntimes/flashplayer/linux32/flash_player_npapi_linux.i386.tar.gz?/flash-%{version}.i386.tar.gz
# NoSource0-md5:	08be74219580ffd02d18aaad23e4dc8f
NoSource:	0
Source1:	https://fpdownload.macromedia.com/pub/labs/flashruntimes/flashplayer/linux64/flash_player_npapi_linux.x86_64.tar.gz?/flash-%{version}.x86_64.tar.gz
# NoSource1-md5:	bd7838fd44d107b6ad30f2011234f036
NoSource:	1
%else
Source3:	http://svn.pld-linux.org/svn/license-installer/license-installer.sh
# Source3-md5:	39dd73d36280769d0f74d642c7b0c6d3
%endif
Source2:	mms.cfg
#URL:		http://www.adobe.com/products/flashplayer/
URL:		http://labs.adobe.com/downloads/flashplayer.html
Patch0:		desktop.patch
%if %{with license_agreement}
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	sed >= 4.0
Requires:	browser-plugins >= 2.0
Requires:	hicolor-icon-theme
# dlopened by player
Requires:	libasound.so.2%{libmark}
Requires:	libcurl.so.4%{libmark}
%else
Requires:	rpm-build-tools >= 4.4.37
Requires:	rpmbuild(macros) >= 1.544
%endif
Requires:	cpuinfo(sse2)
Provides:	browser(flash)
Provides:	macromedia-flash
Obsoletes:	flash-plugin
Obsoletes:	konqueror-plugin-macromedia-flash
Obsoletes:	macromedia-flash
Obsoletes:	mozilla-firefox-plugin-macromedia-flash
Obsoletes:	mozilla-plugin-macromedia-flash
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/adobe

# So that building package on AC system won't write package name dep that Th system can't understand (libstdc++4)
%define		_noautoreqdep	libstdc++.so.6

# No debuginfo to be stored
%define		_enable_debug_packages	0

%description
Adobe(R) Flash(R) Player for Linux - the next-generation client
runtime for engaging with Flash content and applications on Linux.

This package contains NPAPI based plugin.

%description -l pl.UTF-8
Adobe(R) Flash(R) Player - środowisko nowej generacji do obsługi
treści i aplikacji we Flashu pod Linuksem.

Ten pakiet zawiera wtyczkę opartą na NPAPI.

%prep
%if %{with license_agreement}
%ifarch %{x8664}
%setup -q -T -c -b 1
%else
%setup -q -T -c -b 0
%endif
%patch0 -p1

%build
s=$(echo '%{version}' | tr . ,)
v=$(strings libflashplayer.so | grep -m 1 'LNX ' | sed 's/.*LNX //')
if [ "$v" != "$s" ]; then
	: wrong version
	exit 1
fi
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{without license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
	s,@DATADIR@,%{_datadir}/%{base_name},g
	s,@COPYSOURCES@,mms.cfg desktop.patch,g
' %{SOURCE3} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

cp -p %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{base_name}
cp -p %{PATCH0} $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else

install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_browserpluginsdir},%{_bindir},%{_desktopdir},%{_iconsdir}}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/mms.cfg
install -p *.so $RPM_BUILD_ROOT%{_browserpluginsdir}
install -p usr/bin/flash-player-properties $RPM_BUILD_ROOT%{_bindir}
cp -p usr/share/applications/flash-player-properties.desktop $RPM_BUILD_ROOT%{_desktopdir}/flash-player-properties.desktop
cp -a usr/share/icons/* $RPM_BUILD_ROOT%{_iconsdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{without license_agreement}
%post
%{_bindir}/%{base_name}.install
%else
%post
%update_browser_plugins
%update_icon_cache hicolor

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi
%update_icon_cache hicolor
%endif

%files
%defattr(644,root,root,755)
%if %{without license_agreement}
%attr(755,root,root) %{_bindir}/%{base_name}.install
%{_datadir}/%{base_name}
%else
%doc readme.txt
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mms.cfg
%attr(755,root,root) %{_bindir}/flash-player-properties
%attr(755,root,root) %{_browserpluginsdir}/libflashplayer.so
%{_desktopdir}/flash-player-properties.desktop
%{_iconsdir}/hicolor/*/apps/flash-player-properties.png
%endif
%changelog
* Thu Jun 14 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/adobe-flash-installer.git;a=log;h=master

* Thu Jun 14 2018 Jan Palus <atler@pld-linux.org> 479b5d6
- up to 30.0.0.122

* Tue Jun 12 2018 Jan Palus <atler@pld-linux.org> 892c08f
- up to 30.0.0.104

* Sun Apr 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 3f15122
- updated to 29.0.0.155

* Thu Mar 22 2018 Jan Palus <atler@pld-linux.org> 13071a5
- up to 29.0.0.134

* Sun Mar 11 2018 Jan Palus <atler@pld-linux.org> 80f4be5
- up to 29.0.0.117

* Fri Feb 09 2018 Jakub Bogusz <qboosh@pld-linux.org> fa6d1e9
- up to 29.0.0.96

* Wed Feb 07 2018 Jan Rękorajski <baggins@pld-linux.org> 92d1a5f
- up to 28.0.0.152

* Sun Jan 21 2018 Jan Palus <atler@pld-linux.org> b7b3a34
- up to 28.0.0.144

* Wed Dec 27 2017 Jan Rękorajski <baggins@pld-linux.org> 0c481b5
- up to 28.0.0.133

* Wed Dec 06 2017 Pawel Gajda <mis@pld-linux.org> 70a1cae
- up to 28.0.0.129

* Mon Dec 04 2017 Andrzej Zawadzki <azawadzki@dfqs.pl> 0797a5f
- up to 28.0.0.120

* Sun Nov 19 2017 Szymon Siwek <sls@pld-linux.org> 1268187
- ver. 28.0.0.111

* Sat Nov 11 2017 Jakub Bogusz <qboosh@pld-linux.org> b7cc8ed
- up to 28.0.0.105

* Sun Oct 22 2017 Jan Rękorajski <baggins@pld-linux.org> 662b7c5
- up to 27.0.0.180

* Wed Oct 18 2017 Jan Palus <atler@pld-linux.org> a78fbd0
- up to 27.0.0.174

* Wed Sep 27 2017 Pawel Gajda <mis@pld-linux.org> fc5dbf1
- up to 27.0.0.154

* Wed Aug 23 2017 Pawel Gajda <mis@pld-linux.org> ab9643c
- up to 27.0.0.117

* Fri Jul 21 2017 Jakub Bogusz <qboosh@pld-linux.org> 079932d
- up to 26.0.0.143

* Sun Jul 16 2017 Jan Palus <atler@pld-linux.org> c27fb62
- up to 26.0.0.138

* Sun Jun 25 2017 Jan Palus <atler@pld-linux.org> 4348743
- up to 26.0.0.133

